﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/06/2019 11:55:34
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS m1ud1ejemplo1_ej1;

CREATE DATABASE IF NOT EXISTS m1ud1ejemplo1_ej1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE m1ud1ejemplo1_ej1;

--
-- Create table `productosimportados`
--
CREATE TABLE IF NOT EXISTS productosimportados (
  ID int(11) NOT NULL,
  NOMBRE varchar(12) DEFAULT NULL,
  PESO int(11) NOT NULL,
  PRIMARY KEY (ID)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 862,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `PESO_index` on table `productosimportados`
--
ALTER TABLE productosimportados
ADD INDEX PESO_index (PESO);

--
-- Create table `clientesimportados`
--
CREATE TABLE IF NOT EXISTS clientesimportados (
  ID int(11) NOT NULL,
  NOMBRE varchar(12) DEFAULT NULL,
  PRIMARY KEY (ID)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 819,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `compranimportados`
--
CREATE TABLE IF NOT EXISTS compranimportados (
  PRODUCTO int(11) NOT NULL,
  CLIENTE int(11) NOT NULL,
  FECHA datetime DEFAULT NULL,
  CANTIDAD varchar(255) DEFAULT NULL,
  PRIMARY KEY (PRODUCTO, CLIENTE)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `CLIENTE_index` on table `compranimportados`
--
ALTER TABLE compranimportados
ADD INDEX CLIENTE_index (CLIENTE);

--
-- Create foreign key
--
ALTER TABLE compranimportados
ADD CONSTRAINT FK_compranimportados_clientesimportados_ID FOREIGN KEY (CLIENTE)
REFERENCES clientesimportados (ID) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Create foreign key
--
ALTER TABLE compranimportados
ADD CONSTRAINT FK_compranimportados_productosimportados_ID FOREIGN KEY (PRODUCTO)
REFERENCES productosimportados (ID) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- 
-- Dumping data for table productosimportados
--
INSERT INTO productosimportados VALUES
(1, 'PRODUCTO1', 2),
(2, 'PRODUCTO2', 3),
(3, 'PRODUCTO3', 4),
(4, 'PRODUCTO4', 5),
(5, 'PRODUCTO5', 6),
(6, 'PRODUCTO6', 7),
(7, 'PRODUCTO7', 8),
(8, 'PRODUCTO8', 9),
(9, 'PRODUCTO9', 10),
(10, 'PRODUCTO10', 11),
(11, 'PRODUCTO11', 12),
(12, 'PRODUCTO12', 13),
(13, 'PRODUCTO13', 14),
(14, 'PRODUCTO14', 15),
(15, 'PRODUCTO15', 16),
(16, 'PRODUCTO16', 17),
(17, 'PRODUCTO17', 18),
(18, 'PRODUCTO18', 19),
(19, 'PRODUCTO19', 20);

-- 
-- Dumping data for table clientesimportados
--
INSERT INTO clientesimportados VALUES
(1, 'CLIENTE1'),
(2, 'CLIENTE2'),
(3, 'CLIENTE3'),
(4, 'CLIENTE4'),
(5, 'CLIENTE5'),
(6, 'CLIENTE6'),
(7, 'CLIENTE7'),
(8, 'CLIENTE8'),
(9, 'CLIENTE9'),
(10, 'CLIENTE10'),
(11, 'CLIENTE11'),
(12, 'CLIENTE12'),
(13, 'CLIENTE13'),
(14, 'CLIENTE14'),
(15, 'CLIENTE15'),
(16, 'CLIENTE16'),
(17, 'CLIENTE17'),
(18, 'CLIENTE18'),
(19, 'CLIENTE19'),
(20, 'CLIENTE20');

-- 
-- Dumping data for table compranimportados
--
INSERT INTO compranimportados VALUES
(1, 18, '2019-06-18 00:00:00', NULL),
(1, 19, '2019-06-19 00:00:00', NULL),
(2, 18, '2019-06-20 00:00:00', NULL),
(3, 1, '2019-06-13 00:00:00', NULL);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;